# Method: customers.submitBrandSafetyScores

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandSafetyScores#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandSafetyScores#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandSafetyScores#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandSafetyScores#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandSafetyScores#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers/submitBrandSafetyScores#body.aspect)

Starts ADH import of a specified BigQuery table populated with the vendor's Brand Safety score file. This is called by the vendor to trigger ADH to import the scores.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{customer=customers/*}:submitBrandSafetyScores`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Ads Data Hub customer making the request. This is in the form of 'customers/\[customerId\]'. e.g. 'customers/123'. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "date": { object (`https://developers.google.com/ads-data-hub/reference/rest/v1/Date`) }, "sourceTable": string, "instance": string } ``` |

| Fields ||
|---|---|
| `date` | ``object (`https://developers.google.com/ads-data-hub/reference/rest/v1/Date`)`` Required. Date for the score file. |
| `sourceTable` | `string` Required. Source BigQuery table for query results in the format 'project.dataset.table_name'. |
| `instance` | `string` Optional. The name of the submission feed instance. This shouldn't be populated for the production scores feed, but can be filled out with a prearranged instance name when a vendor works with Google to test a new or alternate version of their submission feed. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`